<div class="pin-code" (keyup)="onKeyUp($event)">
  <input
    #first
    type="number"
    maxlength="1"
    oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" />
  <input
    #second
    type="number"
    maxlength="1"
    oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" />
  <input
    #third
    type="number"
    maxlength="1"
    oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" />
  <input
    #fourth
    type="number"
    maxlength="1"
    oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);" />
  <!--  <input #fifth type="number" maxlength="1" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">-->
  <!--  <input #sixth type="number" maxlength="1" oninput="javascript: if (this.value.length > this.maxLength) this.value = this.value.slice(0, this.maxLength);">-->
</div>
